package com.yn.bftl.thirdparty.modules.contract.enums;

import lombok.AllArgsConstructor;

/**
 * 签署动作类型
 *
 * @author chendehuihuo
 * @date 2022/7/25 15:12
 */
@AllArgsConstructor
public enum ActionType {

    PERSONAL("PERSONAL", "审批并签字"),
    COMPANY("COMPANY", "企业签章"),
    OPERATOR("OPERATOR", "经办人签字"),
    LP("LP", "法定代表人签字"),
    AUDIT("AUDIT", "审批");

    private final String value;
    private final String name;

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
